{{
 ScaleUnitsGS1, convert raw adc into engineering units value, gaspresso version, does not do averaging or filtering

 Erlend Fjosna 2014
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
 Simply receives a value (from adc scanner) together with channel number, then performs the match to scale into engieering units
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <acknowledements>.

}}

CON
        _clkmode = xtal1 + pll16x                'Standard clock mode * crystal frequency = 80 MHz
        _xinfreq = 5_000_000

VAR
  'none
   
OBJ
  'none
  
PUB ScaleUnits(adc, ch)

Case  ch

 0: RESULT:= (1000*(adc-1209-50)/4835)          'MPX7002DP output 0.5-4.5V corresponding to -20mBar to +20mBar, but with voltage divider 30/47 ratio CALIB: -50adc

 1: RESULT:= (5*((1000*adc/12409)-32)/9)        'LM34  output 0 to 3000mV corresponding to 0F to 300F, then converted to degC: 5*(F-32)/9  

 2: RESULT:= ((1000*(adc-242+8))/967)           'Pressure sensor output 0.5-4.5V corresponding to 0 to 200 cbar, but with voltage divider 30/47 ratio CALIB: +8adc 
           
 3: RESULT:= ((1000*adc-534)/87690)             'LDR (light) sensor output 1 Mohm - 1 kohm corresponding to approx 0 to 100% light 
             
 4: RESULT:= ((1000*adc-60)/9387)               'Force (weight) sensor output Mohm - few kohm corresponding to approx 0 to 400g

 5: RESULT:= (1000*adc/2177)                    'Main supply voltage (12V) 4095 corresponds to 15.5V (3.3V after 10/47 votage divider)

 6: RESULT:= adc
 '
 7: RESULT:= adc

 OTHER: RESULT:= -1                                                                                                                   



DAT
'DaaaBbbbb    BYTE  "string_data",0        

{{

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and    
associated documentation files (the "Software"), to deal in the Software without restriction,        
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:                                                                 
                                                                                                     
The above copyright notice and this permission notice shall be included in all copies or substantial 
portions of the Software.                                                                            
                                                                                                     
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER         
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

}}                                    